Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV PACKAGE NEXT PACKAGE | FRAMES NO FRAMES

## Package org.owasp.dependencycheck.concurrency

org.owasp.dependencycheck.concurrency
Contains classes used to create shared and exclusive locks on directories.

See:
Description

Class Summary
DirectorySpinLock | Implements a spin lock on a given directory.

Exception Summary
DirectoryLockException | If thrown, indicates that a problem occurred when locking a directory.
InvalidDirectoryException | If thrown, indicates that there is a problem with a directory.

## Package org.owasp.dependencycheck.concurrency Description

org.owasp.dependencycheck.concurrency
Contains classes used to create shared and exclusive locks on directories.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV PACKAGE NEXT PACKAGE | FRAMES NO FRAMES

Copyright © 2012-2013 OWASP. All Rights Reserved.